package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaPosFundCashierShiftSummaryRequest struct {
	/*
	   请求参数     */
	CashierShiftFundRequest *domain.AlibabaPosFundCashierShiftSummaryCashierShiftFundRequest `json:"cashier_shift_fund_request" required:"true" `
}

func (s *AlibabaPosFundCashierShiftSummaryRequest) SetCashierShiftFundRequest(v domain.AlibabaPosFundCashierShiftSummaryCashierShiftFundRequest) *AlibabaPosFundCashierShiftSummaryRequest {
	s.CashierShiftFundRequest = &v
	return s
}

func (req *AlibabaPosFundCashierShiftSummaryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.CashierShiftFundRequest != nil {
		paramMap["cashier_shift_fund_request"] = util.ConvertStruct(*req.CashierShiftFundRequest)
	}
	return paramMap
}

func (req *AlibabaPosFundCashierShiftSummaryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
